Ethiack Docs
Assets

Get Asset

GET
/v1/assets/{asset_id}

Fetches a detailed view of a single asset by its unique identifier.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

asset_id*integer

Unique identifier (ID) of the asset

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/assets/0"
{
  "id": 0,
  "value": "string",
  "type": "string",
  "tier": null,
  "organization_id": 0,
  "private": null,
  "organization_name": "string",
  "risk_score": "string",
  "ip": null,
  "tld": true,
  "services": [
    "string"
  ],
  "ports": [
    0
  ],
  "technologies": [
    {
      "id": 0,
      "name": "string",
      "vendor": "string",
      "version": "string",
      "os": "string"
    }
  ],
  "created": "2019-08-24T14:15:22Z",
  "n_findings": 0,
  "findings": {
    "findings": [
      {
        "id": 0,
        "title": "string",
        "md": null,
        "html": null,
        "asset_id": null,
        "asset_value": "string",
        "status": 0,
        "previous_status": null,
        "requested_score": null,
        "event_id": null,
        "severity": "none",
        "priority": 0,
        "score": null,
        "cve": null,
        "cvss_vector": null,
        "created": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}